Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTStaticAssertDeclaration

All Superinterfaces:
  `IASTDeclaration`, `IASTNode`

public interface ICPPASTStaticAssertDeclaration extends IASTDeclaration
Models static assertions: `static_assert(false, "message");`

Since:
  5.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`CONDITION`
`static final ASTNodeProperty`
`MESSAGE`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`EMPTY_DECLARATION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTExpression`
`getCondition()`
Returns the condition of the assertion
`ICPPASTLiteralExpression`
`getMessage()`
Returns the message of the assertion.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclaration

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### CONDITION

static final ASTNodeProperty CONDITION

### MESSAGE

static final ASTNodeProperty MESSAGE

## Method Details

### getCondition

IASTExpression getCondition()
Returns the condition of the assertion

### getMessage

ICPPASTLiteralExpression getMessage()
Returns the message of the assertion. Potentially `null` when message is omitted or using content assist.